package com.bocloud.cmp.model;

/**
 * 定时任务业务类
 *
 * @author weiwei
 * @version 1.0
 * @since 2016.08.16
 */
public class CronTaskBean {
    private Long id; // ID
    private String name; // 名称
    private String crons; // cron表达式
    private Long taskId; // 任务ID
    private String remark; // 描述

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the crons
     */
    public String getCrons() {
        return crons;
    }

    /**
     * @param crons the crons to set
     */
    public void setCrons(String crons) {
        this.crons = crons;
    }

    /**
     * @return the taskId
     */
    public Long getTaskId() {
        return taskId;
    }

    /**
     * @param taskId the taskId to set
     */
    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }
}
